Skip to main content
PUT
/
v1
/
customers
/
{Customer}
/
wallet
/
{Wallet}
Modify Customer Wallet Payment Method
curl --request PUT \
  --url https://api.ecrypt.com/v1/customers/{Customer}/wallet/{Wallet} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "default": true
}
'
import requests

url = "https://api.ecrypt.com/v1/customers/{Customer}/wallet/{Wallet}"

payload = { "default": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({default: true})
};

fetch('https://api.ecrypt.com/v1/customers/{Customer}/wallet/{Wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "requestId": "000000000000000000000",
  "wallet": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "network": "<string>",
      "accountNumber": "<string>",
      "expiry": "<string>",
      "default": true,
      "created": "<string>",
      "address": {
        "name": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "country": "<string>"
      }
    }
  ],
  "errors": [
    {
      "type": "<string>",
      "message": "<unknown>"
    }
  ]
}
{
"requestId": "000000000000000000000",
"errors": [
{
"type": "<string>",
"message": "<unknown>"
}
]
}

Authorizations

x-api-key
string
header
required

Authorization by x-api-key inside request's header

Path Parameters

Customer
string
default:00000000-0000-0000-0000-000000000000
required
Required string length: 8 - 64
Pattern: ^[0-9A-Za-z-]*$
Wallet
string
default:00000000-0000-0000-0000-000000000000
required
Required string length: 8 - 64
Pattern: ^[0-9A-Za-z-]*$

Body

default
boolean | null

Make this the default payment method

Response

object | null

OK

requestId
string
default:000000000000000000000
required
Required string length: 1 - 100
wallet
(object | null)[] | null
errors
(object | null)[] | null